#
# spec file for package perl-MooseX-AuthorizedMethods
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-MooseX-AuthorizedMethods
Version:        0.006
Release:        2.1
%define cpan_name MooseX-AuthorizedMethods
Summary:        Syntax sugar for authorized methods
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-AuthorizedMethods/
Source:         http://www.cpan.org/authors/id/D/DR/DRUOSO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moose) >= 1.21
BuildRequires:  perl(aliased)
#BuildRequires: perl(CPANPLUS::Backend)
#BuildRequires: perl(inc::Module::Install) >= 0.91
#BuildRequires: perl(JSON)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(Module::AutoInstall)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Moose::Exporter)
#BuildRequires: perl(Moose::Role)
#BuildRequires: perl(Moose::Util::MetaRole)
#BuildRequires: perl(Moose::Util::TypeConstraints)
#BuildRequires: perl(MooseX::AuthorizedMethods)
#BuildRequires: perl(MooseX::Meta::Method::Authorized)
#BuildRequires: perl(MooseX::Meta::Method::Authorized::Meta::Role)
#BuildRequires: perl(OtherRole)
#BuildRequires: perl(Parse::CPAN::Meta)
#BuildRequires: perl(Sub::Name)
#BuildRequires: perl(Test::Moose)
#BuildRequires: perl(YAML::Tiny)
Requires:       perl(aliased)
Requires:       perl(Moose) >= 1.21
%{perl_requires}

%description
This method exports the "authorized" declarator that makes a verification
if the user has the required permissions before the acual invocation. The
default verification method will take the "user" method result and call
"roles" to list the roles given to that user.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc README

%changelog
* Sun Dec 25 2011 coolo@suse.de
- initial package 0.006
  * created by cpanspec 1.78.06
